class Menu

    attr_accessor :titulo, :ingestaPor, :platos, :valorCT, :porcentajePro, :porcentajeGra, :porcentajeHid #geters y setters asi nos ahorramos escribirlo 

    include Comparable

    def initialize(titulo, ingestaPor, platos, valorCT, porcentajePro, porcentajeGra, porcentajeHid)
        @titulo         = titulo
        @ingestaPor     = ingestaPor
        @platos         = platos
        @valorCT        = valorCT
        @porcentajePro  = porcentajePro
        @porcentajeGra  = porcentajeGra
        @porcentajeHid  = porcentajeHid
        
    end
    
    def <=>(other)
	
        return nil unless other.is_a?Menu  #Devuelve nil si se cumple que other no es un objeto de tipo bibliografia
       
        if(@valorCT[0] == other.valorCT[0])
		    
		    if(@platos.length == other.platos.length)
                    return 0 
            else
                    if(@platos.length < other.platos.length)
                        return -1
                    end
                        return 1
            end

        else
            if(@valorCT[0] < other.valorCT[0])
                return -1 
            end
                return 1  
        end
    end

    def ==(other)
		
        if other.is_a?Menu
            @titulo     == other.titulo && 
            @ingestaPor == other.ingestaPor &&  
            @platos     == other.platos &&  
            @valorCT    == other.valorCT && 
            @porcentajePro == other.porcentajePro && 
            @porcentajeGra == other.porcentajeGra &&  
            @porcentajeHid == other.porcentajeHid
        else
            false
        end

    end


    def to_s
        string = "#{@titulo} (" 
        
        @ingestaPor.each_with_index do |elem,i| 
            if(i==1)
                string+=" - "
            end
            string+= "#{elem}"
        end 
        string+="%)\n"

         @platos.each_with_index do |elem,i|
            string+="- #{elem.to_s}\n"
         end
   
        string+="V.C.T. | % #{valorCT[0]} #{valorCT[1]} | #{porcentajePro}% - #{porcentajeGra}% - #{porcentajeHid}%"
        
        return string
    end

end
   